| optoICC

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
optoICC.tools.definitions.DeviceModel Class Reference
Inheritance diagram for optoICC.tools.definitions.DeviceModel:

## Static Public Attributes
int | DISCONNECTED = 0
int | XPR20 = 1
int | XPR20_2CH = 2
int | EL1030TC = 3
int | XPR46 = 4
int | EL1640TC_5D = 5
int | EL1230TC_NLP = 6
int | EL1030C = 7
int | XPR33 = 8
int | XPR33_2CH = 9
int | DEVICE_URSA = 10,
int | DEVICE_ZAURAK = 11,
int | XPR42 = 12,
int | SARYN_F1 = 13,
int | EL0930TC_NLP = 14,
int | EL0310 = 15,
int | XPRAUTO = 16,
int | EL0310FPC = 17,
int | EL1030HP = 18,
int | EL0830TC_NLP = 19,
int | EL1030TC_NLP = 20,
int | EL1640GTC = 21,
int | EL0720TC_NLP = 22,
int | EL1230GTC_NLP = 23,
int | EL42SMA = 24,
int | MR_15_30 = 25,
int | MR_15_30_2CH = 26,
int | MR_10_30 = 27,
int | EL1640TC_20D = 28,
int | XPR16 = 29,
int | XPR16_2CH = 30,
int | UNKNOWN = 255

## Member Data Documentation

## ◆ DEVICE_URSA

int optoICC.tools.definitions.DeviceModel.DEVICE_URSA = 10,
| static

## ◆ DEVICE_ZAURAK

int optoICC.tools.definitions.DeviceModel.DEVICE_ZAURAK = 11,
| static

## ◆ DISCONNECTED

int optoICC.tools.definitions.DeviceModel.DISCONNECTED = 0
| static

## ◆ EL0310

int optoICC.tools.definitions.DeviceModel.EL0310 = 15,
| static

## ◆ EL0310FPC

int optoICC.tools.definitions.DeviceModel.EL0310FPC = 17,
| static

## ◆ EL0720TC_NLP

int optoICC.tools.definitions.DeviceModel.EL0720TC_NLP = 22,
| static

## ◆ EL0830TC_NLP

int optoICC.tools.definitions.DeviceModel.EL0830TC_NLP = 19,
| static

## ◆ EL0930TC_NLP

int optoICC.tools.definitions.DeviceModel.EL0930TC_NLP = 14,
| static

## ◆ EL1030C

int optoICC.tools.definitions.DeviceModel.EL1030C = 7
| static

## ◆ EL1030HP

int optoICC.tools.definitions.DeviceModel.EL1030HP = 18,
| static

## ◆ EL1030TC

int optoICC.tools.definitions.DeviceModel.EL1030TC = 3
| static

## ◆ EL1030TC_NLP

int optoICC.tools.definitions.DeviceModel.EL1030TC_NLP = 20,
| static

## ◆ EL1230GTC_NLP

int optoICC.tools.definitions.DeviceModel.EL1230GTC_NLP = 23,
| static

## ◆ EL1230TC_NLP

int optoICC.tools.definitions.DeviceModel.EL1230TC_NLP = 6
| static

## ◆ EL1640GTC

int optoICC.tools.definitions.DeviceModel.EL1640GTC = 21,
| static

## ◆ EL1640TC_20D

int optoICC.tools.definitions.DeviceModel.EL1640TC_20D = 28,
| static

## ◆ EL1640TC_5D

int optoICC.tools.definitions.DeviceModel.EL1640TC_5D = 5
| static

## ◆ EL42SMA

int optoICC.tools.definitions.DeviceModel.EL42SMA = 24,
| static

## ◆ MR_10_30

int optoICC.tools.definitions.DeviceModel.MR_10_30 = 27,
| static

## ◆ MR_15_30

int optoICC.tools.definitions.DeviceModel.MR_15_30 = 25,
| static

## ◆ MR_15_30_2CH

int optoICC.tools.definitions.DeviceModel.MR_15_30_2CH = 26,
| static

## ◆ SARYN_F1

int optoICC.tools.definitions.DeviceModel.SARYN_F1 = 13,
| static

## ◆ UNKNOWN

int optoICC.tools.definitions.DeviceModel.UNKNOWN = 255
| static

## ◆ XPR16

int optoICC.tools.definitions.DeviceModel.XPR16 = 29,
| static

## ◆ XPR16_2CH

int optoICC.tools.definitions.DeviceModel.XPR16_2CH = 30,
| static

## ◆ XPR20

int optoICC.tools.definitions.DeviceModel.XPR20 = 1
| static

## ◆ XPR20_2CH

int optoICC.tools.definitions.DeviceModel.XPR20_2CH = 2
| static

## ◆ XPR33

int optoICC.tools.definitions.DeviceModel.XPR33 = 8
| static

## ◆ XPR33_2CH

int optoICC.tools.definitions.DeviceModel.XPR33_2CH = 9
| static

## ◆ XPR42

int optoICC.tools.definitions.DeviceModel.XPR42 = 12,
| static

## ◆ XPR46

int optoICC.tools.definitions.DeviceModel.XPR46 = 4
| static

## ◆ XPRAUTO

int optoICC.tools.definitions.DeviceModel.XPRAUTO = 16,
| static

The documentation for this class was generated from the following file:

- C:/git/145-713-00_optoICC/src/main/python/optoICC/tools/definitions.py